# Uses of Class
java.security.cert.CertPathValidatorSpi

Packages that use CertPathValidatorSpi
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertPathValidatorSpi in java.security.cert

Constructors in java.security.cert with parameters of type CertPathValidatorSpi
Modifier
Constructor
Description
`protected`
`CertPathValidator(CertPathValidatorSpi validatorSpi, Provider provider, String algorithm)`
Creates a `CertPathValidator` object of the given algorithm, and encapsulates the given provider implementation (SPI object) in it.